htmlimage_be.h File Reference
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/inherit.h>`

Go to the source code of this file.

## Typedefs

typedef struct HTML_IMAGE | HTML_IMAGE

## Functions

GWENHYWFAR_API void | HtmlImage_Attach (HTML_IMAGE *img)
GWENHYWFAR_API void | HtmlImage_free (HTML_IMAGE *img)
GWENHYWFAR_API int | HtmlImage_GetHeight (const HTML_IMAGE *img)
GWENHYWFAR_API const char * | HtmlImage_GetImageName (const HTML_IMAGE *img)
GWENHYWFAR_API int | HtmlImage_GetWidth (const HTML_IMAGE *img)
GWENHYWFAR_API HTML_IMAGE * | HtmlImage_new (void)
GWENHYWFAR_API void | HtmlImage_SetHeight (HTML_IMAGE *img, int i)
GWENHYWFAR_API void | HtmlImage_SetImageName (HTML_IMAGE *img, const char *s)
GWENHYWFAR_API void | HtmlImage_SetWidth (HTML_IMAGE *img, int i)

## Typedef Documentation

## HTML_IMAGE

typedef struct HTML_IMAGE HTML_IMAGE

Definition at line 23 of file htmlimage_be.h.

## Function Documentation

## HtmlImage_Attach()

GWENHYWFAR_API void HtmlImage_Attach | ( | HTML_IMAGE * | img | ) |

References GWENHYWFAR_API.

## HtmlImage_free()

GWENHYWFAR_API void HtmlImage_free | ( | HTML_IMAGE * | img | ) |

References GWENHYWFAR_API.

## HtmlImage_GetHeight()

GWENHYWFAR_API int HtmlImage_GetHeight | ( | const HTML_IMAGE * | img | ) |

References GWENHYWFAR_API.

## HtmlImage_GetImageName()

GWENHYWFAR_API const char * HtmlImage_GetImageName | ( | const HTML_IMAGE * | img | ) |

References GWENHYWFAR_API.

## HtmlImage_GetWidth()

GWENHYWFAR_API int HtmlImage_GetWidth | ( | const HTML_IMAGE * | img | ) |

References GWENHYWFAR_API.

## HtmlImage_new()

GWENHYWFAR_API HTML_IMAGE * HtmlImage_new | ( | void |  | ) |

References GWENHYWFAR_API.

## HtmlImage_SetHeight()

GWENHYWFAR_API void HtmlImage_SetHeight | ( | HTML_IMAGE * | img,
|  | int | i )

## HtmlImage_SetImageName()

GWENHYWFAR_API void HtmlImage_SetImageName | ( | HTML_IMAGE * | img,
|  | const char * | s )

References GWENHYWFAR_API.

## HtmlImage_SetWidth()

GWENHYWFAR_API void HtmlImage_SetWidth | ( | HTML_IMAGE * | img,
|  | int | i )

References GWENHYWFAR_API.